#!/usr/bin/wish


proc qtproc { } {

global queryterm

# get selection

set queryterm [selection get -selection PRIMARY -type UTF8_STRING]

}

proc proc_dictcc { } {

set qt [eval qtproc]

.fr.t delete 1.0 end

.fr.t insert 1.0 [exec w3m www.dict.cc/?s=$qt]

}


proc proc_wordreference { } {

set qt [eval qtproc]

.fr.t delete 1.0 end

.fr.t insert 1.0 [exec w3m http://www.wordreference.com/fr/Translation.asp?enfr=$qt]

}

proc proc_seslisozluk { } {

set qt [eval qtproc]

.fr.t delete 1.0 end

.fr.t insert 1.0 [exec w3m www.seslisozluk.com/?word=$qt{&go_search=Search}]

}

proc proc_sztaki_de_hu { } {

set qt [eval qtproc]

.fr.t delete 1.0 end

set prestring {szotar.sztaki.hu/dict_search.php?L=GER%3AHUN%3AGerHunDict&O=GER&flash=&E=1&sid=677daede2618bceba610cdbbc35b3314&in_form=1&W=}

set poststring {&M=1&P=0&C=1&T=1}

.fr.t insert 1.0 [exec w3m $prestring$qt$poststring]

}

proc proc_sztaki_hu_de { } {

set qt [eval qtproc]

.fr.t delete 1.0 end

set prestring {szotar.sztaki.hu/dict_search.php?L=HUN%3AGER%3AGerHunDict&O=GER&flash=&E=1&sid=63ab62c25633f7bd1897d73e09c8ed61&in_form=1&W=}

set poststring &M=2&P=0&C=1&T=1

regsub -all {á} $qt {%E1} qt
regsub -all {é} $qt {%E9} qt
regsub -all {í} $qt {%ED} qt
regsub -all {é} $qt {%E9} qt
regsub -all {ó} $qt {%F3} qt
regsub -all {ö} $qt {%F6} qt
regsub -all {ő} $qt {%F5} qt
regsub -all {ú} $qt {%FA} qt
regsub -all {ü} $qt {%FC} qt
regsub -all {ű} $qt {%FB} qt

.fr.t insert 1.0 [exec w3m $prestring$qt$poststring]

}

proc proc_vandale { } {

set qt [eval qtproc]

.fr.t delete 1.0 end

.fr.t insert 1.0 [exec w3m www.vandale.nl/opzoeken/woordenboek/?zoekwoord=$qt]

}



# creates UI

frame .fr

pack .fr -expand true -fill both

frame .fr.top
pack .fr.top

radiobutton .fr.top.dict1 -text "dict.cc DE>EN" -variable dictname -value dictcc -command proc_dictcc
pack .fr.top.dict1 -side left

radiobutton .fr.top.dict2 -text "wordreference EN>FR" -variable dictname -value wordreference -command proc_wordreference
pack .fr.top.dict2 -side left

radiobutton .fr.top.dict3 -text "seslisozluk EN>TR" -variable dictname -value seslisozluk -command proc_seslisozluk
 pack .fr.top.dict3 -side left

radiobutton .fr.top.dict4 -text "MT szotar sztaki DE>HU" -variable dictname -value sztaki_de_he -command proc_sztaki_de_hu
pack .fr.top.dict4 -side left

radiobutton .fr.top.dict5 -text "MT szotar sztaki HU>DE" -variable dictname -value sztaki_hu_de -command proc_sztaki_hu_de
pack .fr.top.dict5 -side left

radiobutton .fr.top.dict6 -text "Van Dale NL" -variable dictname -value vandale -command proc_vandale
pack .fr.top.dict6 -side left


text .fr.t -width 120 -height 80 -bg white
pack .fr.t -expand true -fill both

bind . <Escape> exit


# default search

set dictname sztaki_hu_de

proc_sztaki_hu_de


